
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.019.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Riap command-line client shell",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "App-riap",
  "EXE_FILES" => [
    "bin/riap"
  ],
  "LICENSE" => "perl",
  "NAME" => "App::riap",
  "PREREQ_PM" => {
    "CHI" => 0,
    "Color::ANSI::Util" => 0,
    "Complete::Bash" => "0.12",
    "Complete::Util" => "0.12",
    "Data::Clean::JSON" => "0.13",
    "Data::Sah" => 0,
    "IO::Stty" => 0,
    "JSON" => 0,
    "Log::Any" => 0,
    "Path::Naive" => "0.02",
    "Perinci::Access" => "0.37",
    "Perinci::Access::HTTP::Client" => "0.18",
    "Perinci::Access::Perl" => "0.55",
    "Perinci::CmdLine" => "1.27",
    "Perinci::Result::Format" => 0,
    "Perinci::Sub::Complete" => "0.64",
    "Perinci::Sub::GetArgs::Argv" => "0.46",
    "Perinci::Sub::Util" => 0,
    "Perinci::Sub::Wrapper" => "0.51",
    "Riap" => "v1.1.19",
    "Rinci" => "v1.1.0",
    "Signal::Safety" => 0,
    "Term::Detect::Software" => 0,
    "Term::ReadLine::Perl" => 0,
    "Term::Shell" => 0,
    "URI" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.24",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "CHI" => 0,
  "Color::ANSI::Util" => 0,
  "Complete::Bash" => "0.12",
  "Complete::Util" => "0.12",
  "Data::Clean::JSON" => "0.13",
  "Data::Sah" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IO::Stty" => 0,
  "IPC::Open3" => 0,
  "JSON" => 0,
  "Log::Any" => 0,
  "Path::Naive" => "0.02",
  "Perinci::Access" => "0.37",
  "Perinci::Access::HTTP::Client" => "0.18",
  "Perinci::Access::Perl" => "0.55",
  "Perinci::CmdLine" => "1.27",
  "Perinci::Result::Format" => 0,
  "Perinci::Sub::Complete" => "0.64",
  "Perinci::Sub::GetArgs::Argv" => "0.46",
  "Perinci::Sub::Util" => 0,
  "Perinci::Sub::Wrapper" => "0.51",
  "Riap" => "v1.1.19",
  "Rinci" => "v1.1.0",
  "Signal::Safety" => 0,
  "Term::Detect::Software" => 0,
  "Term::ReadLine::Perl" => 0,
  "Term::Shell" => 0,
  "Test::More" => 0,
  "URI" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);




# modify generated Makefile to install bash completion for scripts. this piece
# is generated by Dist::Zilla::Plugin::Rinci::InstallCompletion version 0.03.
INSTALL_COMPLETION:
{
    print "Modifying Makefile to install bash completion on install\n";
    open my($fh), "<", "Makefile" or die "Can't open generated Makefile: $!";
    my $content = do { local $/; ~~<$fh> };

    $content =~ s/^(install :: pure_install doc_install)/$1 comp_install/m
        or die "Can't find pattern in Makefile (1)";

    $content =~ s/^(uninstall :: .+)/$1 comp_uninstall/m
        or die "Can't find pattern in Makefile (2)";

    $content .= qq|\ncomp_install :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    $content .= qq|\ncomp_uninstall :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--remove", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    open $fh, ">", "Makefile" or die "Can't write modified Makefile: $!";
    print $fh $content;
}
